<mat-card>
    <h1 class="text-center"><b>Gráfico de Resultados</b> 
        <mat-icon (click)="hide[0] = !hide[0]" class="tky-cursor tky-right" color="accent">{{hide[0] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </h1>
    
    <mat-card-content *ngIf="hide[0]">
        <div class="container tky-full-width text-center">
            <hr>
            <div class="row">
                <div class="col-md-12 tky-full-width">
                  <div style="display: block;">
                  <canvas baseChart width="500" height="400"
                              [datasets]="lineChartData"
                              [labels]="lineChartLabels"
                              [options]="lineChartOptions"
                              [colors]="lineChartColors"
                              [legend]="lineChartLegend"
                              [chartType]="lineChartType"
                        
                              (chartHover)="chartHovered($event)"
                              (chartClick)="chartClicked($event)"></canvas>
                  </div>
                </div>
                <!-- <div class="col-md-12 tky-full-width" >
                  <table class="table table-responsive table-condensed tky-full-width">
                    <tr>
                      <th *ngFor="let label of lineChartLabels">{{label}}</th>
                    </tr>
                    <tr *ngFor="let d of lineChartData">
                      <td *ngFor="let label of lineChartLabels; let j=index">{{d && d.data[j]}}</td>
                    </tr>
                  </table>
                  <button mat-raised-button (click)="randomize()">Simular Nuevamente</button>
                </div> -->
              </div>
          
          
              <div class="row tky-full-width"></div>
          
          </div>
          
    </mat-card-content>
  </mat-card>
